:root {
  --custom-global-padding: 16px;
}

:where(.wp-site-blocks) > * {
margin-block-start: 0 !important;
}

.wp-site-blocks .custom-global-padding {
  box-shadow:0px 0px 15px var(--wp--preset--color--accent-6);
}
.custom-global-padding {
  margin-block-start: 0;
  background-color: var(--wp--preset--color--white);
}

/* 메인 그룹에 걸기 */
.custom-global-padding > div:not(.custom-content-group):not(.wp-block-template-part) {
  padding-left: var(--custom-global-padding);
  padding-right: var(--custom-global-padding);
  margin-block-start: 0 !important;
  margin-block-end: 0 !important;
  background-color: var(--wp--preset--color--white);
  border-bottom: 1px solid var(--wp--preset--color--accent-6);
}

.custom-content-group {
  margin-block-start: 0 !important;
  margin-block-end: 0 !important;
}

.custom-global-padding > div:not(.custom-content-group):not(.content-header-image):not:first-child {
  border-top: 1px solid var(--wp--preset--color--accent-6);
  border-bottom: none;
}

.custom-global-padding > .content-header-image + div {
  border-top: 1px solid var(--wp--preset--color--accent-6);
  border-bottom: none!important;
}

.custom-global-padding > [class *= "custom-content-group"] {
  margin-block-start: 0 !important;
  margin-block-end: 0 !important;
  background-color: var(--wp--preset--color--base);
  border-bottom: 1px solid var(--wp--preset--color--accent-6);
}

.custom-content-group > :last-child {
  margin-block-start: 0 !important;
  margin-block-end: 0 !important;
}

.profile-image-group {

}

.profile-image-group img {
  aspect-ratio: 1 / 1;
  object-fit: cover;
  margin-top: -2.5em;
  height: 5em;
  width: 5em;
  border-radius: 50%;
  border: 4px solid var(--wp--preset--color--white);
}


.lur-reactions-group {
  max-width: var(--wp--style--global--content-size);
  padding-top: 40px;
  padding-left: var(--custom-global-padding);
  padding-right: var(--custom-global-padding);
}

.custom-global-padding > .content-header-image {
  position: relative;
  display: block;
  height: 100%;
}

figure.content-header-image {
  margin-block-start: 0 !important;
  border: none !important;
  padding: 0!important;
  aspect-ratio: 2 / 1 !important;
  overflow: hidden;
  min-height: 200px;
  max-height: 300px;
  width: 100%;
  object-fit: cover;
  object-position: center;
}

div.content-header-image {
  margin-block-start: 0 !important;
  border: none !important;
  padding: 0!important;
  aspect-ratio: 2 / 1 !important;
  overflow: hidden;
  min-height: 200px;
  max-height: 300px;
  width: 100%;
  object-fit: cover;
  object-position: center;
    display: flex;
    justify-content: center;
    align-items: center;
}


.custom-global-padding > .content-header-image img,
.content-header-image img {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.custom-content-group:has(.wp-block-post-content) {
  padding-left: var(--custom-global-padding);
  padding-right: var(--custom-global-padding);
  box-sizing: border-box;
}

.custom-content-group .wp-block-post-content > :is([class*="twitter-style"],.no-global-padding) {
  margin-left: calc(-1 * var(--custom-global-padding));
  margin-right: calc(-1 * var(--custom-global-padding));
  width: calc(100% + (2 * var(--custom-global-padding)));
  max-width: 100vw;
  box-sizing: border-box;
}
